CC=gcc
CFLAGS=-Wall

build: bin/part01 bin/part02

run1: bin/part01
	cat data/p01data.txt | bin/part01

run2: bin/part02
	cat data/p02data.txt | bin/part02

test1: bin/part01
	cat data/p01test.txt | bin/part01

test2: bin/part02
	cat data/p02test.txt | bin/part02

bin/part01: clean
	$(CC) src/part01.c -o bin/part01 

bin/part02: clean
	$(CC) src/part02.c -o bin/part02

.PHONY: clean

clean:
	rm -f bin/*
